Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class PdfDate

    java.lang.Object
      org.pdfclown.objects.PdfObject
          org.pdfclown.objects.PdfDataObject
              org.pdfclown.objects.PdfDirectObject
                  org.pdfclown.objects.PdfSimpleObject<byte[]>
                      org.pdfclown.objects.PdfString
                          org.pdfclown.objects.PdfDate

All Implemented Interfaces:
  Cloneable, Comparable<PdfDirectObject>, IVisitable, IDataWrapper

    public final class PdfDate

extends PdfString

PDF date object [PDF:1.6:3.8.3].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.objects.PdfString
`PdfString.SerializationModeEnum`

Field Summary

Fields inherited from class org.pdfclown.objects.PdfString
`Default`

Constructor Summary
`PdfDate(Date value)`

Method Summary
`PdfObject` | `accept(IVisitor visitor, Object data)` Accepts a visit.
`static PdfDate` | `get(Date value)` Gets the object equivalent to the given value.
`Date` | `getValue()` Gets the high-level representation of the value.
`void` | `setSerializationMode(PdfString.SerializationModeEnum value)`
`protected void` | `setValue(Object value)`
`static Date` | `toDate(String value)` Converts a PDF date literal into its corresponding date.

Methods inherited from class org.pdfclown.objects.PdfString
`compareTo, getSerializationMode, getStringValue, toByteArray, toString, writeTo`

Methods inherited from class org.pdfclown.objects.PdfSimpleObject
`clone, equals, get, getParent, getRawValue, getValue, getValue, hashCode, isUpdateable, isUpdated, isVirtual, setRawValue, setUpdateable, setUpdated, setVirtual, swap`

Methods inherited from class org.pdfclown.objects.PdfObject
`clone, clone, getContainer, getDataContainer, getFile, getIndirectObject, getReference, resolve, resolve, unresolve, unresolve, update`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfDate

    public PdfDate(Date value)

Method Detail

### get

    public static PdfDate get(Date value)

  Gets the object equivalent to the given value.

### toDate

    public static Date toDate(String value)
                       throws ParseException

  Converts a PDF date literal into its corresponding date.

  Throws:
    `ParseException` - Thrown when date literal parsing fails.

### accept

    public PdfObject accept(IVisitor visitor,
                            Object data)

  Description copied from interface: `IVisitable`
  Accepts a visit.

  Specified by:
    `accept` in interface `IVisitable`
  Overrides:
    `accept` in class `PdfString`
  Parameters:
    `visitor` - Visiting object.
    `data` - Supplemental data.
  Returns:
    Result object.

### getValue

    public Date getValue()

  Description copied from class: `PdfSimpleObject`
  Gets the high-level representation of the value.

  Overrides:
    `getValue` in class `PdfString`

### setSerializationMode

    public void setSerializationMode(PdfString.SerializationModeEnum value)

  Overrides:
    `setSerializationMode` in class `PdfString`
  See Also:
    `PdfString.getSerializationMode()`

### setValue

    protected void setValue(Object value)

  Overrides:
    `setValue` in class `PdfString`
  See Also:
    `PdfSimpleObject.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.